#! /bin/sh
#
#+
# ==========
# get_pre.sh
# ==========
#
# ------------------------------------
# working on get.xml before processing
# ------------------------------------
#
#
# TODO
# ====
#
# ++ pas de targz pour l'instant
#
# ++ rcupration de DIRTMP defni dans le makefile
#
# ++ pas de notion de DATA ou SRC comme dans SAXO
#
#
# EVOLUTIONS
# ==========
#
# $Id$
#
# - fplod 2008-10-08T10:42:14Z aedon.locean-ipsl.upmc.fr (Darwin)
#
#   * creation
#-
#
set -u
set -o posix
bidon=1
if [ ${bidon} -eq 0 ]
then
   #
   case $( whoami ) in
      *)
         lgforge=superbib
      ;;
   esac
   #
   project="SUPERBIB"
   # size of SRC and DATA with .svn
   szallsvn=$( du -sh ../../.. | awk '{print $1}' )
   szallsvn=${szallsvn%*M}
   # size of SRC with .svn
   szsrcsvn=$( du -sh ../../../SRC | awk '{print $1}' )
   szsrcsvn=${szsrcsvn%*M}
   # size of DATA with .svn
   szdatasvn=$( du -sh ../../../DATA | awk '{print $1}' )
   szdatasvn=${szdatasvn%*M}
   #
   echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd two times"
   #
   # find the most recent ${project}_SRC_yyyymmddrxxx.tar.gz in
   # /ipsl/forge/projets/saxo/download/
   infosrc=$(ssh ${lgforge}@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/superbib/download/${project}_SRC_*.tar.gz  | head -n 1)
   filesrc=$(echo ${infosrc} | awk '{print $NF}')
   szsrc=$(echo ${infosrc} | awk '{print $5}')
   #
   # ndate is the date in the file ${project}_SRC_*.tar.gz
   ndate=${filesrc##*_}
   ndate=${ndate%.tar.gz}
   #
   # find the most recent ${project}_DATA_yyyymmddrxxx.tar.gz in
   # /ipsl/forge/projets/superbib/download/
   infodata=$(ssh ${lgforge}@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/superbib/download/${project}_DATA_*.tar.gz | head -n 1)
   filedata=$(echo ${infodata} | awk '{print $NF}')
   szdata=$(echo ${infodata} | awk '{print $5}')
   #
   # ndate2 is the date in the file ${project}_DATA_*.tar.gz
   ndate2=${filedata##*_}
   ndate2=${ndate2%.tar.gz}
   #
else
   ndate="YYYYMMDD"
   ndate2="YYYYMMDD"
   szsrc="X"
   szdata="X"
   szallsvn="X"
   szsrcsvn="X"
   szdatasvn="X"
fi
#
sed -e s/"\&date\;"/${ndate}/g \
   -e s/"\&date2\;"/${ndate2}/g \
   -e s/"\&szsrc\;"/${szsrc}/g \
   -e s/"\&szdata\;"/${szdata}/g \
   -e s/"+todo+ see get_pre.sh"/${szallsvn}/g \
   -e s/"\&szsrcsvn\;"/${szsrcsvn}/g \
   -e s/"\&szdatasvn\;"/${szdatasvn}/g \
   get.xml > get_sed.xml
#
# exit
exit 0
